GNU logs - #33859, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33859: ghc-conduit-extra build fails
Resent-From: Gabriel Hondet <gabrielhondet@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Mon, 24 Dec 2018 15:55:02 +0000
Resent-Message-ID: <handler.33859.B.154566689028002 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33859
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33859 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.154566689028002
          (code B ref -1); Mon, 24 Dec 2018 15:55:02 +0000
Received: (at submit) by debbugs.gnu.org; 24 Dec 2018 15:54:50 +0000
Received: from localhost ([127.0.0.1]:35566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbSZ7-0007HZ-RU
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSZ5-0007HN-BU
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:47 -0500
Received: from lists.gnu.org ([208.118.235.17]:41471)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gbSZ0-0004Bk-4c
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59634)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSYy-0006Go-Oc
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSYt-00047v-R5
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:40 -0500
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:55054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gbSYt-00047I-L2
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:35 -0500
Received: by mail-wm1-x330.google.com with SMTP id a62so11445063wmh.4
 for <bug-guix@HIDDEN>; Mon, 24 Dec 2018 07:54:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=OXbEq0A0Q6cKE6zI5HUWgxBGMURHk3w6LNPNY2bmqZg=;
 b=Wm0yLSSxh9Si9dMlvgGDfSe0sE7goQmOIpsWHavTI+1BcjBzdRKtWmol/gG12xqD0M
 wP7m0qOadMytdcN88VZS4I1EL0mJ5Y9kUQ1mf4HUlZMU5eT78ambs4zv1FGJg6uUOvns
 sofLbw60tg1YcZgvk8ykSeTUGE3TpWTiA0SN1EmINNWWHpFKfKRbFVDVvgj9ayASHNbv
 46c9jfbdUypPW/zaJqJsGLU+O6f5iPKxa8VUgX27JIcMXdtUZpbP/Y0CQ1hg+fAu+3VB
 Qg/8IEh53qc+cJbO0lRe/9CjtQU3017evcidKpNjoQKEWptNiPjx330MRjsm04pG8kx/
 8ZqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=OXbEq0A0Q6cKE6zI5HUWgxBGMURHk3w6LNPNY2bmqZg=;
 b=npbFDGdbEDNTq/h49cl1weJ9A5j5qhoMCAcdJfJ2GrtsfB3MtxZHr64Eq+I0XO1YA+
 GMregW5tMTFzlX2ytgpdOgNZNvWYnruvMvikuJgSuxqmchydTLvCimNbkLAu5qxXIw1L
 WejAQzKjMHrknVVuWRJrWZQ9ZQUGcMe8K8UB9CmvRD6ugHSdDZQKYd8We6x7A7jvnfk1
 7FMfZ5OoozPvzUBRFB8pX26bLx9rTjvNyZnnQakfhPiYnNZbrpeL0C4EX6drs+pWjo0X
 TJUb4ogS8LIsfakdjp0f5Gq4E4KTgS2F4ME1ur0ORlaMcqatAHF08J/+/W3kM8P8zobh
 gDJA==
X-Gm-Message-State: AA+aEWaSGD9sjJHbUjNPz4yz9ulis1LdIWOI0JTS4u+N2x6VrK5jekMf
 7Ww8I7XMBterOTiufCytaiETzSbV
X-Google-Smtp-Source: AFSGD/WWKovH3CvHOFSZAZXFcnT7AdEBqsLfdpFszI04BElLGRObLPtbTiouJ6mRpIq3BqF4Nq1YKA==
X-Received: by 2002:a1c:5892:: with SMTP id m140mr12723103wmb.60.1545666874250; 
 Mon, 24 Dec 2018 07:54:34 -0800 (PST)
Received: from glht-x240.gmail.com ([80.12.58.18])
 by smtp.gmail.com with ESMTPSA id z17sm18164875wrv.2.2018.12.24.07.54.33
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 07:54:33 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
Date: Mon, 24 Dec 2018 16:54:28 +0100
Message-ID: <8736qmyl6z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::330
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

I've been trying to compile ghc-conduit-extra since it is needed by
ghc-xmonad-extra and xmobar.  The build fails the following way (sorry
for the poor layout):

Building library for conduit-extra-1.3.0..                                 =
                                                     [0/1051]
[ 1 of 13] Compiling Data.Conduit.Attoparsec ( Data/Conduit/Attoparsec.hs, =
dist/build/Data/Conduit/Attoparsec.o )=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20
Data/Conduit/Attoparsec.hs:99:14: error:=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
    =E2=80=A2 Couldn't match type =E2=80=98text-1.2.3.0:Data.Text.Internal.=
Text=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20
                     with =E2=80=98TI.Text=E2=80=99=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      NB: =E2=80=98TI.Text=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20
            is defined in =E2=80=98Data.Text.Internal=E2=80=99 in package =
=E2=80=98text-1.2.3.0=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
          =E2=80=98text-1.2.3.0:Data.Text.Internal.Text=E2=80=99=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
            is defined in =E2=80=98Data.Text.Internal=E2=80=99 in package =
=E2=80=98text-1.2.3.0=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      Expected type: A.Parser TI.Text b -> TI.Text -> A.IResult TI.Text b=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20
        Actual type: Data.Attoparsec.Text.Parser b=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20
                     -> text-1.2.3.0:Data.Text.Internal.Text=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
                     -> Data.Attoparsec.Text.Result b
    =E2=80=A2 In the expression: Data.Attoparsec.Text.parse
      In an equation for =E2=80=98parseA=E2=80=99: parseA =3D Data.Attopars=
ec.Text.parse=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      In the instance declaration for =E2=80=98AttoparsecInput TI.Text=E2=
=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20
   |=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
99 |     parseA =3D Data.Attoparsec.Text.parse=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
   |

As far as I'm concerned, the error seems to be in the haskell package
more than in the guix build process, but downgrading to previous version
is not really feasible considering the number of dependencies.
Could someone confirm that the error comes indeed from the haskell
package, and thus motivate a bug report on hackage?

Thanks

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlwhATQACgkQMbyBBfZZ
1CUM2w/8CEIUxcpzL9FcjriBZeZ5hKJupEVUv5LhJXw8rqBj3D9GtP6ULdy8BUnR
YQFY7uwFDNK7pDspqavFlI3JTr8D4SPHThW0IscSMmLyi/iyhkJWK+yBYoozXzwn
lNbLIoVflu71Z+d07E6BU58pqXRp1LJpH/QY/siI5+KKUSy1bgs5e1gkeuqvt7a5
Bvb/S8jRJ5hw1cM2eWWzHdgLcRjZFVZ062Kvg2YCDD6dWXLZjkJg0rW+61TYH74f
rce0oO14gwzDxTwbM745b9PWXU+V8bxlYt4BGhPBOp+EE0G0AetnbqsGN7g+eA+k
DaZs5WiAECbw2HV+IbwsDXI6dz47kW9GB5iUiusByl/FuMQXkk7gmxi6tEO6X3HL
X2NHIu4BgNKHf2S8NriH7/zk2F9GPJT5YibMrgPrwSL8lfdAmYDWrTxHmpXWqoct
tQjnLHAlqLtF/WsT3l5KWNg90i9r+PDjnUc6YgqCqQXSrkjc15bXtPorr+U2Fx7o
3YLCGLeYiO/tKsKHyRdwo1lRYeSP/qg+Ck9httZgyEUhlrJcvoySpwWOZuMu8ecI
mEBUTol180vExJxKfmB7fJHMZVTahVZ7uW0PQ8Y7PbIwT1EgLGCDHVpkGcAZfiRu
todJE3M4L88SJGqOuMSAMkczhY2uqm4pGlQVP7A8aj4UzFrBeJU=
=lAE4
-----END PGP SIGNATURE-----
--=-=-=--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Gabriel Hondet <gabrielhondet@HIDDEN>
Subject: bug#33859: Acknowledgement (ghc-conduit-extra build fails)
Message-ID: <handler.33859.B.154566689028002.ack <at> debbugs.gnu.org>
References: <8736qmyl6z.fsf@HIDDEN>
X-Gnu-PR-Message: ack 33859
X-Gnu-PR-Package: guix
Reply-To: 33859 <at> debbugs.gnu.org
Date: Mon, 24 Dec 2018 15:55:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 33859 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33859: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33859
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Gabriel Hondet <gabrielhondet@HIDDEN>
Subject: bug#33859: closed (ghc-conduit-extra build fails)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.33859.D33859.154823844530952.ackdone <at> debbugs.gnu.org>
References: <8736pjznog.fsf@HIDDEN> <8736qmyl6z.fsf@HIDDEN>
X-Gnu-PR-Message: closed 33859
X-Gnu-PR-Package: guix
Date: Wed, 23 Jan 2019 10:15:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1548238502-31024-0"

This is a multi-part message in MIME format...

------------=_1548238502-31024-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Wed, 23 Jan 2019 11:13:51 +0100
with message-id <8736pjznog.fsf@HIDDEN>
and subject line bug#33859:ghc-conduit-extra build fails
has caused the debbugs.gnu.org bug report #33859,
regarding ghc-conduit-extra build fails
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
33859: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33859
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1548238502-31024-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 24 Dec 2018 15:54:50 +0000
Received: from localhost ([127.0.0.1]:35566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbSZ7-0007HZ-RU
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSZ5-0007HN-BU
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:47 -0500
Received: from lists.gnu.org ([208.118.235.17]:41471)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gbSZ0-0004Bk-4c
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59634)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSYy-0006Go-Oc
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSYt-00047v-R5
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:40 -0500
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:55054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gbSYt-00047I-L2
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:35 -0500
Received: by mail-wm1-x330.google.com with SMTP id a62so11445063wmh.4
 for <bug-guix@HIDDEN>; Mon, 24 Dec 2018 07:54:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=OXbEq0A0Q6cKE6zI5HUWgxBGMURHk3w6LNPNY2bmqZg=;
 b=Wm0yLSSxh9Si9dMlvgGDfSe0sE7goQmOIpsWHavTI+1BcjBzdRKtWmol/gG12xqD0M
 wP7m0qOadMytdcN88VZS4I1EL0mJ5Y9kUQ1mf4HUlZMU5eT78ambs4zv1FGJg6uUOvns
 sofLbw60tg1YcZgvk8ykSeTUGE3TpWTiA0SN1EmINNWWHpFKfKRbFVDVvgj9ayASHNbv
 46c9jfbdUypPW/zaJqJsGLU+O6f5iPKxa8VUgX27JIcMXdtUZpbP/Y0CQ1hg+fAu+3VB
 Qg/8IEh53qc+cJbO0lRe/9CjtQU3017evcidKpNjoQKEWptNiPjx330MRjsm04pG8kx/
 8ZqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=OXbEq0A0Q6cKE6zI5HUWgxBGMURHk3w6LNPNY2bmqZg=;
 b=npbFDGdbEDNTq/h49cl1weJ9A5j5qhoMCAcdJfJ2GrtsfB3MtxZHr64Eq+I0XO1YA+
 GMregW5tMTFzlX2ytgpdOgNZNvWYnruvMvikuJgSuxqmchydTLvCimNbkLAu5qxXIw1L
 WejAQzKjMHrknVVuWRJrWZQ9ZQUGcMe8K8UB9CmvRD6ugHSdDZQKYd8We6x7A7jvnfk1
 7FMfZ5OoozPvzUBRFB8pX26bLx9rTjvNyZnnQakfhPiYnNZbrpeL0C4EX6drs+pWjo0X
 TJUb4ogS8LIsfakdjp0f5Gq4E4KTgS2F4ME1ur0ORlaMcqatAHF08J/+/W3kM8P8zobh
 gDJA==
X-Gm-Message-State: AA+aEWaSGD9sjJHbUjNPz4yz9ulis1LdIWOI0JTS4u+N2x6VrK5jekMf
 7Ww8I7XMBterOTiufCytaiETzSbV
X-Google-Smtp-Source: AFSGD/WWKovH3CvHOFSZAZXFcnT7AdEBqsLfdpFszI04BElLGRObLPtbTiouJ6mRpIq3BqF4Nq1YKA==
X-Received: by 2002:a1c:5892:: with SMTP id m140mr12723103wmb.60.1545666874250; 
 Mon, 24 Dec 2018 07:54:34 -0800 (PST)
Received: from glht-x240.gmail.com ([80.12.58.18])
 by smtp.gmail.com with ESMTPSA id z17sm18164875wrv.2.2018.12.24.07.54.33
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 07:54:33 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: bug-guix@HIDDEN
Subject: ghc-conduit-extra build fails
Date: Mon, 24 Dec 2018 16:54:28 +0100
Message-ID: <8736qmyl6z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::330
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

I've been trying to compile ghc-conduit-extra since it is needed by
ghc-xmonad-extra and xmobar.  The build fails the following way (sorry
for the poor layout):

Building library for conduit-extra-1.3.0..                                 =
                                                     [0/1051]
[ 1 of 13] Compiling Data.Conduit.Attoparsec ( Data/Conduit/Attoparsec.hs, =
dist/build/Data/Conduit/Attoparsec.o )=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20
Data/Conduit/Attoparsec.hs:99:14: error:=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
    =E2=80=A2 Couldn't match type =E2=80=98text-1.2.3.0:Data.Text.Internal.=
Text=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20
                     with =E2=80=98TI.Text=E2=80=99=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      NB: =E2=80=98TI.Text=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20
            is defined in =E2=80=98Data.Text.Internal=E2=80=99 in package =
=E2=80=98text-1.2.3.0=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
          =E2=80=98text-1.2.3.0:Data.Text.Internal.Text=E2=80=99=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
            is defined in =E2=80=98Data.Text.Internal=E2=80=99 in package =
=E2=80=98text-1.2.3.0=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      Expected type: A.Parser TI.Text b -> TI.Text -> A.IResult TI.Text b=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20
        Actual type: Data.Attoparsec.Text.Parser b=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20
                     -> text-1.2.3.0:Data.Text.Internal.Text=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
                     -> Data.Attoparsec.Text.Result b
    =E2=80=A2 In the expression: Data.Attoparsec.Text.parse
      In an equation for =E2=80=98parseA=E2=80=99: parseA =3D Data.Attopars=
ec.Text.parse=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      In the instance declaration for =E2=80=98AttoparsecInput TI.Text=E2=
=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20
   |=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
99 |     parseA =3D Data.Attoparsec.Text.parse=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
   |

As far as I'm concerned, the error seems to be in the haskell package
more than in the guix build process, but downgrading to previous version
is not really feasible considering the number of dependencies.
Could someone confirm that the error comes indeed from the haskell
package, and thus motivate a bug report on hackage?

Thanks

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlwhATQACgkQMbyBBfZZ
1CUM2w/8CEIUxcpzL9FcjriBZeZ5hKJupEVUv5LhJXw8rqBj3D9GtP6ULdy8BUnR
YQFY7uwFDNK7pDspqavFlI3JTr8D4SPHThW0IscSMmLyi/iyhkJWK+yBYoozXzwn
lNbLIoVflu71Z+d07E6BU58pqXRp1LJpH/QY/siI5+KKUSy1bgs5e1gkeuqvt7a5
Bvb/S8jRJ5hw1cM2eWWzHdgLcRjZFVZ062Kvg2YCDD6dWXLZjkJg0rW+61TYH74f
rce0oO14gwzDxTwbM745b9PWXU+V8bxlYt4BGhPBOp+EE0G0AetnbqsGN7g+eA+k
DaZs5WiAECbw2HV+IbwsDXI6dz47kW9GB5iUiusByl/FuMQXkk7gmxi6tEO6X3HL
X2NHIu4BgNKHf2S8NriH7/zk2F9GPJT5YibMrgPrwSL8lfdAmYDWrTxHmpXWqoct
tQjnLHAlqLtF/WsT3l5KWNg90i9r+PDjnUc6YgqCqQXSrkjc15bXtPorr+U2Fx7o
3YLCGLeYiO/tKsKHyRdwo1lRYeSP/qg+Ck9httZgyEUhlrJcvoySpwWOZuMu8ecI
mEBUTol180vExJxKfmB7fJHMZVTahVZ7uW0PQ8Y7PbIwT1EgLGCDHVpkGcAZfiRu
todJE3M4L88SJGqOuMSAMkczhY2uqm4pGlQVP7A8aj4UzFrBeJU=
=lAE4
-----END PGP SIGNATURE-----
--=-=-=--



------------=_1548238502-31024-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 33859-done) by debbugs.gnu.org; 23 Jan 2019 10:14:05 +0000
Received: from localhost ([127.0.0.1]:42069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmFXp-00083A-2M
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 05:14:05 -0500
Received: from mail-wm1-f53.google.com ([209.85.128.53]:55798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gmFXn-00082Y-Kp
 for 33859-done <at> debbugs.gnu.org; Wed, 23 Jan 2019 05:14:03 -0500
Received: by mail-wm1-f53.google.com with SMTP id y139so1366605wmc.5
 for <33859-done <at> debbugs.gnu.org>; Wed, 23 Jan 2019 02:14:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=0fV4MOGsu6thudIX5GyxAqgLyeEr2013gnJ/2F4Bffo=;
 b=LwxLcJmxFw9b0xk1JWigZl6ageakHaDTNSSFnnM9H1pPwvctPRa7nBnu/q0o7PUK4H
 X9z/AhjAo50LU6jlH0WZ7qAD453du8oafpVA+/1oI/rjPrdCWmE1leuluj+8sv4LB1rX
 AJhkDSxS9+ww3CIGb5DD6R/Fzle02+pjY50kdNUTZvhfVX0XscHt/CEZ15vGB8M+fQ6l
 MQ0DBMKFSXpInVgFPArYv35ei7cFxUarljK2D3F4r3S1d6R777kRs9X5/Xed43w72fZN
 YsihBOu/AnbybZ68qgZfmhlaoMbo3xsN/vbZrn0cttDjrffaHSmp3NlGksLvJXiiWuoL
 Yvpw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=0fV4MOGsu6thudIX5GyxAqgLyeEr2013gnJ/2F4Bffo=;
 b=ucesEe3j+r4/oicon887pfvJj5w5rgV13aGtHkgogTbK9obSfHHpB1sMotStnGZDDA
 9Mr+kTFMRLh4fUODOtEwizf6wBBqo9H3MJiy74beVaPfeVJdSR66Xk0DSX1MhpfY4wXh
 sih1lwLJOy2Vd6qdL/w3irDjqyc8tcAj7Yphghg5uWu/BSXqpE5EeTzao817WewY/p/O
 JrgyCO3zOzFY3PpMcjxRLrVEIVPzLn1QQbGFa66qp4Sf3dPdRJwFFLi6ckpwUPgnwwqX
 bM8J90ax6c3oe3I7gc/x+XIlogxyOPR2soqvm3aIHFxShfT2urA/s9uJdicVMac/O3MX
 y1ig==
X-Gm-Message-State: AJcUukf1K0jt9ME2DHrqaucjxh42k7PO3WQOgdlUFxRp6OSStv9EUKOR
 bv7AIKZMjDGmVeIalPpuJNyC74Nt
X-Google-Smtp-Source: ALg8bN718ygNS7r3qEp4BC6xwbtiaMs37veMa9aMuoBubcxhyybjJCEgGVSwkPiC9YvnelzvrEYPpQ==
X-Received: by 2002:a1c:a104:: with SMTP id k4mr2056007wme.54.1548238437710;
 Wed, 23 Jan 2019 02:13:57 -0800 (PST)
Received: from glht-aurore.gmail.com ([217.109.134.89])
 by smtp.gmail.com with ESMTPSA id x20sm77942249wme.6.2019.01.23.02.13.57
 for <33859-done <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 23 Jan 2019 02:13:57 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: 33859-done <at> debbugs.gnu.org
Subject: bug#33859:ghc-conduit-extra build fails
Date: Wed, 23 Jan 2019 11:13:51 +0100
Message-ID: <8736pjznog.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33859-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Builds without problem since 5de93cdba77db3777f8f026c029acadd7b8bdde3

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlxIPl8ACgkQMbyBBfZZ
1CX56hAAhWRZP1+VQYWsoSKCLXoRzwwtkkuy2B/V/BQLy3VuifW00IrW3zg/OBnF
/3hlRj01n/yAMeKo0GiWFQX6oLCeafAiJbMfm2dASFRRLOH5hBKyOH45cd0UIkYr
L3Atz1I6n9pcb3fGL3pUirXAEK1fI9mF2+vssxTVk4ewlP8VyLoiGYp8PrldKYFa
FuTmNPQ6I2rK72ibOHAVA916+Eb7Ty/N1QhDfKq+KQEVGo1vpjcdIAnZsapOX+oD
TX6BXpTR1MW2PW+jyVXKibAyNVyXYHrz2IYWkSu5QINYEpzoYuqxCaVn72DwF20G
4B9C+d6PKs+fDEckDaNJqZqXdQOj5yGDsMHnnNvYvPPDcuhsuwOvu+XgQg5Mr9Ut
jYLwGbBZVTmb33tqxT3YLNF/qOueHvJxSTsP37s7puWhQCUkT2BzaR2eRhcK4Stx
3IJ0PzKqXPdEOB3ymxlbNT01Zb5r2EIGqXoPnHcD9bHp8inleJE04ZAbNUY7AJVu
0rAnFnosfulzRVmhodc3y7iCywkIz7KuJKTjEnZiYWpCe6wTWdUkFrANLFciH+SR
5oO8eUpZ/EKvaUi/vBvznZEzV431YY5UCMgiwyc6lCxULXKeGkfY1IiCqNt9u9Hz
jQ1eyyzInvHs71nde9+zsDVBMtyZMNE6KQt/g473zQrOaftpgRw=
=vcu6
-----END PGP SIGNATURE-----
--=-=-=--


------------=_1548238502-31024-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Gabriel Hondet <gabrielhondet@HIDDEN>
Subject: bug#33859: closed (bug#33859:ghc-conduit-extra build fails)
Message-ID: <handler.33859.D33859.154823844530952.notifdone <at> debbugs.gnu.org>
References: <8736pjznog.fsf@HIDDEN> <8736qmyl6z.fsf@HIDDEN>
X-Gnu-PR-Message: they-closed 33859
X-Gnu-PR-Package: guix
Reply-To: 33859 <at> debbugs.gnu.org
Date: Wed, 23 Jan 2019 10:15:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1548238502-31024-1"

This is a multi-part message in MIME format...

------------=_1548238502-31024-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#33859: ghc-conduit-extra build fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 33859 <at> debbugs.gnu.org.

--=20
33859: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33859
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1548238502-31024-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 33859-done) by debbugs.gnu.org; 23 Jan 2019 10:14:05 +0000
Received: from localhost ([127.0.0.1]:42069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmFXp-00083A-2M
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 05:14:05 -0500
Received: from mail-wm1-f53.google.com ([209.85.128.53]:55798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gmFXn-00082Y-Kp
 for 33859-done <at> debbugs.gnu.org; Wed, 23 Jan 2019 05:14:03 -0500
Received: by mail-wm1-f53.google.com with SMTP id y139so1366605wmc.5
 for <33859-done <at> debbugs.gnu.org>; Wed, 23 Jan 2019 02:14:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=0fV4MOGsu6thudIX5GyxAqgLyeEr2013gnJ/2F4Bffo=;
 b=LwxLcJmxFw9b0xk1JWigZl6ageakHaDTNSSFnnM9H1pPwvctPRa7nBnu/q0o7PUK4H
 X9z/AhjAo50LU6jlH0WZ7qAD453du8oafpVA+/1oI/rjPrdCWmE1leuluj+8sv4LB1rX
 AJhkDSxS9+ww3CIGb5DD6R/Fzle02+pjY50kdNUTZvhfVX0XscHt/CEZ15vGB8M+fQ6l
 MQ0DBMKFSXpInVgFPArYv35ei7cFxUarljK2D3F4r3S1d6R777kRs9X5/Xed43w72fZN
 YsihBOu/AnbybZ68qgZfmhlaoMbo3xsN/vbZrn0cttDjrffaHSmp3NlGksLvJXiiWuoL
 Yvpw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=0fV4MOGsu6thudIX5GyxAqgLyeEr2013gnJ/2F4Bffo=;
 b=ucesEe3j+r4/oicon887pfvJj5w5rgV13aGtHkgogTbK9obSfHHpB1sMotStnGZDDA
 9Mr+kTFMRLh4fUODOtEwizf6wBBqo9H3MJiy74beVaPfeVJdSR66Xk0DSX1MhpfY4wXh
 sih1lwLJOy2Vd6qdL/w3irDjqyc8tcAj7Yphghg5uWu/BSXqpE5EeTzao817WewY/p/O
 JrgyCO3zOzFY3PpMcjxRLrVEIVPzLn1QQbGFa66qp4Sf3dPdRJwFFLi6ckpwUPgnwwqX
 bM8J90ax6c3oe3I7gc/x+XIlogxyOPR2soqvm3aIHFxShfT2urA/s9uJdicVMac/O3MX
 y1ig==
X-Gm-Message-State: AJcUukf1K0jt9ME2DHrqaucjxh42k7PO3WQOgdlUFxRp6OSStv9EUKOR
 bv7AIKZMjDGmVeIalPpuJNyC74Nt
X-Google-Smtp-Source: ALg8bN718ygNS7r3qEp4BC6xwbtiaMs37veMa9aMuoBubcxhyybjJCEgGVSwkPiC9YvnelzvrEYPpQ==
X-Received: by 2002:a1c:a104:: with SMTP id k4mr2056007wme.54.1548238437710;
 Wed, 23 Jan 2019 02:13:57 -0800 (PST)
Received: from glht-aurore.gmail.com ([217.109.134.89])
 by smtp.gmail.com with ESMTPSA id x20sm77942249wme.6.2019.01.23.02.13.57
 for <33859-done <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 23 Jan 2019 02:13:57 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: 33859-done <at> debbugs.gnu.org
Subject: bug#33859:ghc-conduit-extra build fails
Date: Wed, 23 Jan 2019 11:13:51 +0100
Message-ID: <8736pjznog.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33859-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Builds without problem since 5de93cdba77db3777f8f026c029acadd7b8bdde3

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlxIPl8ACgkQMbyBBfZZ
1CX56hAAhWRZP1+VQYWsoSKCLXoRzwwtkkuy2B/V/BQLy3VuifW00IrW3zg/OBnF
/3hlRj01n/yAMeKo0GiWFQX6oLCeafAiJbMfm2dASFRRLOH5hBKyOH45cd0UIkYr
L3Atz1I6n9pcb3fGL3pUirXAEK1fI9mF2+vssxTVk4ewlP8VyLoiGYp8PrldKYFa
FuTmNPQ6I2rK72ibOHAVA916+Eb7Ty/N1QhDfKq+KQEVGo1vpjcdIAnZsapOX+oD
TX6BXpTR1MW2PW+jyVXKibAyNVyXYHrz2IYWkSu5QINYEpzoYuqxCaVn72DwF20G
4B9C+d6PKs+fDEckDaNJqZqXdQOj5yGDsMHnnNvYvPPDcuhsuwOvu+XgQg5Mr9Ut
jYLwGbBZVTmb33tqxT3YLNF/qOueHvJxSTsP37s7puWhQCUkT2BzaR2eRhcK4Stx
3IJ0PzKqXPdEOB3ymxlbNT01Zb5r2EIGqXoPnHcD9bHp8inleJE04ZAbNUY7AJVu
0rAnFnosfulzRVmhodc3y7iCywkIz7KuJKTjEnZiYWpCe6wTWdUkFrANLFciH+SR
5oO8eUpZ/EKvaUi/vBvznZEzV431YY5UCMgiwyc6lCxULXKeGkfY1IiCqNt9u9Hz
jQ1eyyzInvHs71nde9+zsDVBMtyZMNE6KQt/g473zQrOaftpgRw=
=vcu6
-----END PGP SIGNATURE-----
--=-=-=--


------------=_1548238502-31024-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 24 Dec 2018 15:54:50 +0000
Received: from localhost ([127.0.0.1]:35566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gbSZ7-0007HZ-RU
	for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSZ5-0007HN-BU
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:47 -0500
Received: from lists.gnu.org ([208.118.235.17]:41471)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gbSZ0-0004Bk-4c
 for submit <at> debbugs.gnu.org; Mon, 24 Dec 2018 10:54:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59634)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSYy-0006Go-Oc
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gbSYt-00047v-R5
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:40 -0500
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:55054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gbSYt-00047I-L2
 for bug-guix@HIDDEN; Mon, 24 Dec 2018 10:54:35 -0500
Received: by mail-wm1-x330.google.com with SMTP id a62so11445063wmh.4
 for <bug-guix@HIDDEN>; Mon, 24 Dec 2018 07:54:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=OXbEq0A0Q6cKE6zI5HUWgxBGMURHk3w6LNPNY2bmqZg=;
 b=Wm0yLSSxh9Si9dMlvgGDfSe0sE7goQmOIpsWHavTI+1BcjBzdRKtWmol/gG12xqD0M
 wP7m0qOadMytdcN88VZS4I1EL0mJ5Y9kUQ1mf4HUlZMU5eT78ambs4zv1FGJg6uUOvns
 sofLbw60tg1YcZgvk8ykSeTUGE3TpWTiA0SN1EmINNWWHpFKfKRbFVDVvgj9ayASHNbv
 46c9jfbdUypPW/zaJqJsGLU+O6f5iPKxa8VUgX27JIcMXdtUZpbP/Y0CQ1hg+fAu+3VB
 Qg/8IEh53qc+cJbO0lRe/9CjtQU3017evcidKpNjoQKEWptNiPjx330MRjsm04pG8kx/
 8ZqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=OXbEq0A0Q6cKE6zI5HUWgxBGMURHk3w6LNPNY2bmqZg=;
 b=npbFDGdbEDNTq/h49cl1weJ9A5j5qhoMCAcdJfJ2GrtsfB3MtxZHr64Eq+I0XO1YA+
 GMregW5tMTFzlX2ytgpdOgNZNvWYnruvMvikuJgSuxqmchydTLvCimNbkLAu5qxXIw1L
 WejAQzKjMHrknVVuWRJrWZQ9ZQUGcMe8K8UB9CmvRD6ugHSdDZQKYd8We6x7A7jvnfk1
 7FMfZ5OoozPvzUBRFB8pX26bLx9rTjvNyZnnQakfhPiYnNZbrpeL0C4EX6drs+pWjo0X
 TJUb4ogS8LIsfakdjp0f5Gq4E4KTgS2F4ME1ur0ORlaMcqatAHF08J/+/W3kM8P8zobh
 gDJA==
X-Gm-Message-State: AA+aEWaSGD9sjJHbUjNPz4yz9ulis1LdIWOI0JTS4u+N2x6VrK5jekMf
 7Ww8I7XMBterOTiufCytaiETzSbV
X-Google-Smtp-Source: AFSGD/WWKovH3CvHOFSZAZXFcnT7AdEBqsLfdpFszI04BElLGRObLPtbTiouJ6mRpIq3BqF4Nq1YKA==
X-Received: by 2002:a1c:5892:: with SMTP id m140mr12723103wmb.60.1545666874250; 
 Mon, 24 Dec 2018 07:54:34 -0800 (PST)
Received: from glht-x240.gmail.com ([80.12.58.18])
 by smtp.gmail.com with ESMTPSA id z17sm18164875wrv.2.2018.12.24.07.54.33
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Dec 2018 07:54:33 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: bug-guix@HIDDEN
Subject: ghc-conduit-extra build fails
Date: Mon, 24 Dec 2018 16:54:28 +0100
Message-ID: <8736qmyl6z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::330
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

I've been trying to compile ghc-conduit-extra since it is needed by
ghc-xmonad-extra and xmobar.  The build fails the following way (sorry
for the poor layout):

Building library for conduit-extra-1.3.0..                                 =
                                                     [0/1051]
[ 1 of 13] Compiling Data.Conduit.Attoparsec ( Data/Conduit/Attoparsec.hs, =
dist/build/Data/Conduit/Attoparsec.o )=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20
Data/Conduit/Attoparsec.hs:99:14: error:=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
    =E2=80=A2 Couldn't match type =E2=80=98text-1.2.3.0:Data.Text.Internal.=
Text=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20
                     with =E2=80=98TI.Text=E2=80=99=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      NB: =E2=80=98TI.Text=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20
            is defined in =E2=80=98Data.Text.Internal=E2=80=99 in package =
=E2=80=98text-1.2.3.0=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
          =E2=80=98text-1.2.3.0:Data.Text.Internal.Text=E2=80=99=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
            is defined in =E2=80=98Data.Text.Internal=E2=80=99 in package =
=E2=80=98text-1.2.3.0=E2=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      Expected type: A.Parser TI.Text b -> TI.Text -> A.IResult TI.Text b=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20
        Actual type: Data.Attoparsec.Text.Parser b=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20
                     -> text-1.2.3.0:Data.Text.Internal.Text=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
                     -> Data.Attoparsec.Text.Result b
    =E2=80=A2 In the expression: Data.Attoparsec.Text.parse
      In an equation for =E2=80=98parseA=E2=80=99: parseA =3D Data.Attopars=
ec.Text.parse=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
      In the instance declaration for =E2=80=98AttoparsecInput TI.Text=E2=
=80=99=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20
   |=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
99 |     parseA =3D Data.Attoparsec.Text.parse=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
   |

As far as I'm concerned, the error seems to be in the haskell package
more than in the guix build process, but downgrading to previous version
is not really feasible considering the number of dependencies.
Could someone confirm that the error comes indeed from the haskell
package, and thus motivate a bug report on hackage?

Thanks

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlwhATQACgkQMbyBBfZZ
1CUM2w/8CEIUxcpzL9FcjriBZeZ5hKJupEVUv5LhJXw8rqBj3D9GtP6ULdy8BUnR
YQFY7uwFDNK7pDspqavFlI3JTr8D4SPHThW0IscSMmLyi/iyhkJWK+yBYoozXzwn
lNbLIoVflu71Z+d07E6BU58pqXRp1LJpH/QY/siI5+KKUSy1bgs5e1gkeuqvt7a5
Bvb/S8jRJ5hw1cM2eWWzHdgLcRjZFVZ062Kvg2YCDD6dWXLZjkJg0rW+61TYH74f
rce0oO14gwzDxTwbM745b9PWXU+V8bxlYt4BGhPBOp+EE0G0AetnbqsGN7g+eA+k
DaZs5WiAECbw2HV+IbwsDXI6dz47kW9GB5iUiusByl/FuMQXkk7gmxi6tEO6X3HL
X2NHIu4BgNKHf2S8NriH7/zk2F9GPJT5YibMrgPrwSL8lfdAmYDWrTxHmpXWqoct
tQjnLHAlqLtF/WsT3l5KWNg90i9r+PDjnUc6YgqCqQXSrkjc15bXtPorr+U2Fx7o
3YLCGLeYiO/tKsKHyRdwo1lRYeSP/qg+Ck9httZgyEUhlrJcvoySpwWOZuMu8ecI
mEBUTol180vExJxKfmB7fJHMZVTahVZ7uW0PQ8Y7PbIwT1EgLGCDHVpkGcAZfiRu
todJE3M4L88SJGqOuMSAMkczhY2uqm4pGlQVP7A8aj4UzFrBeJU=
=lAE4
-----END PGP SIGNATURE-----
--=-=-=--



------------=_1548238502-31024-1--



Last modified: Wed, 23 Jan 2019 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.